using UnityEngine;
using System.Collections;

public class StuffOneD : MonoBehaviour
{
    private void Start()
    {
        Destroy(gameObject, 10);
    }
    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Sphere"))
        {
            GameObject.FindGameObjectWithTag("GameController").GetComponent<GameManager>().Score();
            GameObject bp = Instantiate<GameObject>(Resources.Load<GameObject>("Blast"));
            bp.transform.position = transform.position;
            bp.GetComponent<ParticleSystem>().Emit(50);
            Destroy(bp, 2);
            Destroy(gameObject);
        }
    }
}
